For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddApplication
        • POSTDelApplication
        • POSTSetApplicationInfo
        • POSTGetApplications
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceApplications

SetApplicationInfo

||View as Markdown|
POST
https://api.voximplant.com/platform_api/SetApplicationInfo
POST
/platform_api/SetApplicationInfo
$curl -X POST "https://api.voximplant.com/platform_api/SetApplicationInfo?application_id=12345&application_name=customer-support-app&secure_record_storage=true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Returned 'application_name' is the new full application name
1{
2 "result": 1,
3 "application_name": "customer-support-app.test.voximplant.com",
4 "secure_record_storage": true
5}

Edits the account’s application.

Allowed roles: Owner, Admin.

Example request: Change the application name.

Was this page helpful?
Previous

DelApplication

Next

GetApplications

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

application_idintegerOptional

The application ID. Required unless required_application_name is provided.

required_application_namestringOptional

The application name. Required unless application_id is provided.

application_namestringOptional

The new short application name in format [a-z][a-z0-9-]79

secure_record_storagebooleanOptional
Whether to enable secure storage for all logs and records of the application

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully
application_namestring
The new full application name
secure_record_storageboolean
Whether a secure storage for logs and records is enabled or not